SuperPaintParser Class Referencefinal

the main class to read a SuperPaint v1 file (SPTG) More...

`#include <SuperPaintParser.hxx>`

Inheritance diagram for SuperPaintParser:

## Public Member Functions

| SuperPaintParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~SuperPaintParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readPrintInfo ()
| try to read the print info zone
bool | readHeader ()
| try to the header zone
bool | readPictures ()
| try to read the main picture zone(draw):
bool | sendPictures ()
| try to send the different pictures
bool | readBitmap (bool onlyCheck=false)
| try to read a bitmap(paint): 576*720
bool | sendBitmap ()
| try to send a bitmap(paint)
bool | readShape ()
| try to read a shape(draw):
bool | sendText (int id)
| try to send a text box content
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< SuperPaintParserInternal::State > | m_state
| the state

## Friends

class | SuperPaintParserInternal::SubDocument

## Detailed Description

the main class to read a SuperPaint v1 file (SPTG)

## Constructor & Destructor Documentation

## SuperPaintParser()

SuperPaintParser::SuperPaintParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~SuperPaintParser()

SuperPaintParser::~SuperPaintParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool SuperPaintParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse(), and SuperPaintParserInternal::SubDocument.

## createDocument()

void SuperPaintParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by parse(), and SuperPaintParserInternal::SubDocument.

## createZones()

bool SuperPaintParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by parse(), and SuperPaintParserInternal::SubDocument.

## init()

void SuperPaintParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by SuperPaintParser(), and SuperPaintParserInternal::SubDocument.

## parse()

void SuperPaintParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

Referenced by SuperPaintParserInternal::SubDocument.

## readBitmap()

bool SuperPaintParser::readBitmap | ( | bool | onlyCheck = false | ) |

protected

try to read a bitmap(paint): 576*720

Referenced by checkHeader(), createZones(), and SuperPaintParserInternal::SubDocument.

## readHeader()

bool SuperPaintParser::readHeader | ( |  | ) |

protected

try to the header zone

Referenced by createZones(), and SuperPaintParserInternal::SubDocument.

## readPictures()

bool SuperPaintParser::readPictures | ( |  | ) |

protected

try to read the main picture zone(draw):

Referenced by createZones(), and SuperPaintParserInternal::SubDocument.

## readPrintInfo()

bool SuperPaintParser::readPrintInfo | ( |  | ) |

protected

try to read the print info zone

Referenced by readHeader(), and SuperPaintParserInternal::SubDocument.

## readShape()

bool SuperPaintParser::readShape | ( |  | ) |

protected

try to read a shape(draw):

Referenced by readPictures(), and SuperPaintParserInternal::SubDocument.

## sendBitmap()

bool SuperPaintParser::sendBitmap | ( |  | ) |

protected

try to send a bitmap(paint)

Referenced by parse(), and SuperPaintParserInternal::SubDocument.

## sendPictures()

bool SuperPaintParser::sendPictures | ( |  | ) |

protected

try to send the different pictures

Referenced by parse(), and SuperPaintParserInternal::SubDocument.

## sendText()

bool SuperPaintParser::sendText | ( | int | id | ) |

protected

try to send a text box content

Referenced by SuperPaintParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## SuperPaintParserInternal::SubDocument

friend class SuperPaintParserInternal::SubDocument

friend

## Member Data Documentation

## m_state

std::shared_ptr<SuperPaintParserInternal::State> SuperPaintParser::m_state

protected

the state

Referenced by checkHeader(), createZones(), init(), parse(), readBitmap(), readPictures(), readShape(), sendBitmap(), sendPictures(), sendText(), and SuperPaintParser().

The documentation for this class was generated from the following files:

- SuperPaintParser.hxx
- SuperPaintParser.cxx